/*
 * clock.c
 *
 * Created: 2014-08-06 13:56:38
 *  Author: dsosnowski
 */ 

#define F_CPU 8000000UL
#include <avr/io.h>
#include <avr/interrupt.h>
#include <inttypes.h>
#include <util/delay.h>
#include <avr/wdt.h>
#include <avr/sleep.h>
#include <avr/pgmspace.h>
//#include "ee_mem.h"
#include "wdog.h"
#include "defs.h"
#include "clock.h"

struct {
	volatile char tick;
	//volatile uint32_t digital;
} time;


//----------------------------------------------
void ClockInit(void)
{
	ASSR = (1<<AS2);
	TCCR2 = (1<<CS22 | 1<<CS20);
	//TCCR2 = (1<<CS20);
	TIMSK |= (1<<TOIE2);
}

/*//----------------------------------------------
void ClockDisable(void)
{
	TIMSK &= ~(1<<TOIE2);
}

//----------------------------------------------
void ClockEnable(void)
{
	SFIOR |= (1<<PSR2);
	TCNT2 = 0;
	time.tick = 0;
	TIMSK |= (1<<TOIE2);
}

//----------------------------------------------
void ClockReset(void)
{
	time.digital = 0;
}
*/
//----------------------------------------------
char ClockTickCheck(void)
{
	if (time.tick)
	{
		time.tick--;
		return 1;
	}
	else
		return 0;
}

/*//----------------------------------------------
uint32_t ClockGet(void)
{
	return time.digital;
}*/

//-------------------------------------
ISR(TIMER2_OVF_vect)
{
	time.tick++;
	//time.digital++;
}
