#ifndef LCD_H
#define LCD_H

#define SPEC_CHAR0		0
#define SPEC_CHAR1		1
#define SPEC_CHAR2		2
#define SPEC_CHAR3		3
#define SPEC_CHAR4		4
#define SPEC_CHAR5		5
#define SPEC_CHAR6		6
#define SPEC_CHAR7		7


#define BKL_MAXVAL		63

//---------------------------------------------------
void LCDInit(void);
//void LCDFader(char bklval);
//void LCDBacklight(char bklval);
void LCDCommand(char command);
void LCDData(char data);
void LCDFrame(char *pt, char len);
void LCDClear(void);
void LCDHome(void);
void LCDText(char *str);
void LCDValue5(uint32_t val);
void LCDValue4(uint16_t val);
void LCDValue4WD(uint16_t val);
void LCDValue3(char val, char dot);
void LCDValue2(char val);
void LCDValue2WZ(char val);
void LCDLocate(char lcd_y, char lcd_x);
void LCDSetSpecs(char* pData);
void LCDSetSpecChar(char spec, char* pData);




#endif //LCD_H
