/*
 * serial.h
 *
 * Created: 2015-02-27 12:38:51
 *  Author: dsosnowski
 */ 


#ifndef SERIAL_H_
#define SERIAL_H_

#define SERIAL_WBUFFER_SIZE	128
#define SERIAL_RBUFFER_SIZE	16

#define COM_PREFIX			'#'
#define COM_POSTFIX			0x0D		//\r

#define SERIAL_IDLE			0
#define SERIAL_READY		1	



void SerialInit(void);
char *SerialGetWbuff(uint16_t i);
void SerialSend(char *data);
void SerialBufferAdd(char *data);
void SerialBufferSend(void);
void SerialBufferClear(void);

void SerialVal(uint16_t value);
void SerialChar(char data);


#endif /* SERIAL_H_ */