/*
 * ui.h
 *
 * Created: 2014-09-17 13:58:09
 *  Author: dsosnowski
 */ 


#ifndef UI_H_
#define UI_H_

#define SWITCH_HOLD	16
#define SW_PLUS		1
#define SW_MINUS	2
#define SW_MENU		3
#define SW_PLUSH	(SW_PLUS + SWITCH_HOLD)
#define SW_MINUSH	(SW_MINUS + SWITCH_HOLD)
#define SW_MENUH	(SW_MENU + SWITCH_HOLD)


#define SWITCH_THRESHOLD	50
#define SWITCH_REPEAT		52


void UiInit(void);
char UiScan(void);
void UiNavi(char press);
void UiMenu(char press);

char* Ui4Val2str(uint16_t val, char dot);
char* UiTime2str(uint32_t timeval);
void UiSerial2Disp(char loc, char param);

#endif /* UI_H_ */